{
  "name": "year-planner-front-end",
  "version": "1.0.0",
  "main": "index.js",
  "description": "Proof of concept front end for year planner",
  "reposiory": "",
  "scripts": {
    "start": "webpack-dev-server --config webpack/development.config.js",
    "build": "webpack --config webpack/production.config.js"
  },
  "author": "",
  "license": "ISC",
  "devDependencies": {
    "@babel/core": "^7.26.9",
    "@babel/plugin-transform-class-properties": "^7.25.9",
    "@babel/preset-env": "^7.26.9",
    "@babel/preset-react": "^7.26.3",
    "babel-loader": "^9.2.1",
    "jquery": "^3.7.1",
    "jsdom": "^26.0.0",
    "webpack": "^5.98.0",
    "webpack-cli": "^6.0.1",
    "webpack-dev-server": "^5.2.0",
    "webpack-merge": "^6.0.1"
  },
  "dependencies": {
    "@emotion/react": "^11.14.0",
    "@emotion/styled": "^11.14.0",
    "@mui/icons-material": "^6.4.4",
    "@mui/material": "^6.4.4",
    "@mui/styles": "^6.4.4",
    "axios": "^1.7.9",
    "moment": "^2.30.1",
    "react": "^19.0.0",
    "react-dom": "^19.0.0",
    "react-redux": "^9.2.0",
    "react-router": "^7.1.5",
    "react-router-dom": "^7.1.5",
    "redux": "^5.0.1",
    "redux-axios-middleware": "^4.0.1"
  }
}
